From abc527db53151797086d28189743a92147b95c3b Mon Sep 17 00:00:00 2001
From: Chuan Zheng <zhengchuan@huawei.com>
Date: Mon, 9 Nov 2020 17:28:23 +0800
Subject: [PATCH build and enhance 2/8] rpmbuild: add make configure before
 build

Change-Id: I3dc5e1785162fa76ee60b855b3591d82e4eb33a5
Signed-off-by: imxcc <xingchaochao@huawei.com>
---
 libcare.spec  | 7 +++++--
 src/config    | 2 --
 src/configure | 2 ++
 3 files changed, 7 insertions(+), 4 deletions(-)
 delete mode 100755 src/config
 create mode 100755 src/configure

diff --git a/libcare.spec b/libcare.spec
index 5569203..b98319d 100644
--- a/libcare.spec
+++ b/libcare.spec
@@ -1,7 +1,7 @@
 Version: 0.1.4
 Name: libcare
 Summary: LibCare tools
-Release: 3%{?dist}
+Release: 4%{?dist}
 Group: Applications/System
 License: GPLv2
 Url: http://www.cloudlinux.com
@@ -48,7 +48,7 @@ LibCare devel files.
 %setup -c -n %{name}-%{version}
 
 %build
-
+./src/configure
 make -C src
 %if 0%{with selinux}
 make -C dist/selinux
@@ -158,6 +158,9 @@ exit 0
 %endif
 
 %changelog
+* Wed Sep 22 2021 Chuan Zheng <zhengchuan@huawei.com> - 0.1.4-4
+- make configure before build
+
 * Wed Sep 22 2021 Chuan Zheng <zhengchuan@huawei.com> - 0.1.4-3
 - adapt spec and makefile to make obs rpmbuild happy
 
diff --git a/src/config b/src/config
deleted file mode 100755
index 6c44cf2..0000000
--- a/src/config
+++ /dev/null
@@ -1,2 +0,0 @@
-#!/bin/bash
-uname -m > arch.desc
diff --git a/src/configure b/src/configure
new file mode 100755
index 0000000..58fa346
--- /dev/null
+++ b/src/configure
@@ -0,0 +1,2 @@
+#!/bin/bash
+uname -m > $(dirname $0)/arch.desc
-- 
2.19.1

